<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Teachers extends Controller_UserEnvi {

    public function action_index()
    {
        // VIEW
        $twig = Twig::factory('admin/teachers/index');
        $twig->Faculties = Model_Faculties::toArray();
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_add()
    {
        $twig = Twig::factory('admin/teachers/add');
        $twig->JobPositions = $this->getJobPositions();
        $twig->Faculties = Model_Faculties::toArray();
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_upload()
    {
        if(!empty($_FILES['teachers']) AND $this->request->method() == 'POST')
        {
            $result = $this->parseFile($_FILES["teachers"]["tmp_name"]);
        }
        // VIEW
        $twig = Twig::factory('admin/teachers/upload');
        $twig->Faculties = Model_Faculties::toArray();
        $twig->UploadingResult = $result;
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }    
    
    protected function parseFile($filename)
    {
        return FileParser::TeachersList($filename);
    }
    
    // todo: move to teachers model, there's a duplicate at profile.php
    public function getJobPositions()
    {
        $jobPositions = Model_Teachers::getJobPositions();
        $jobPositionsHandled = array(); $i = 0;
        foreach($jobPositions as $row)
        {
            $i++;
            $jobPositionsHandled[$i]['ID'] = $row['ID'];
            $jobPositionsHandled[$i]['Name'] = $row['Name'];
            // $jobPositionsHandled[$i]['Abbr'] = $row['Abbr'];
        }
        return $jobPositionsHandled;
    }
            
}           